| Version: 3.2.5

Classes | Enumerations | Functions
platinfo.h File Reference

## Classes

struct | wxLinuxDistributionInfo
| A structure containing information about a Linux distribution as returned by the `lsb_release` utility. More...
class | wxPlatformId
| Defines a very broad platform categorization. More...
class | wxPlatformInfo
| This class holds information about the operating system, the toolkit and the basic architecture bitness of the machine where the application is currently running. More...

## Enumerations

enum

wxOperatingSystemId {
wxOS_UNKNOWN = 0 ,
wxOS_MAC_OS = 1 << 0 ,
wxOS_MAC_OSX_DARWIN = 1 << 1 ,
wxOS_MAC = wxOS_MAC_OS|wxOS_MAC_OSX_DARWIN ,
wxOS_WINDOWS_NT = 1 << 3 ,
wxOS_WINDOWS = wxOS_WINDOWS_NT ,
wxOS_UNIX_LINUX = 1 << 6 ,
wxOS_UNIX_FREEBSD = 1 << 7 ,
wxOS_UNIX_OPENBSD = 1 << 8 ,
wxOS_UNIX_NETBSD = 1 << 9 ,
wxOS_UNIX_SOLARIS = 1 << 10 ,
wxOS_UNIX_AIX = 1 << 11 ,
wxOS_UNIX_HPUX = 1 << 12 ,
wxOS_UNIX
}

| The following are the operating systems which are recognized by wxWidgets and whose version can be detected at run-time. More...
enum | wxPortId { wxPORT_UNKNOWN = 0 , wxPORT_BASE = 1 << 0 , wxPORT_MSW = 1 << 1 , wxPORT_MOTIF = 1 << 2 , wxPORT_GTK = 1 << 3 , wxPORT_DFB = 1 << 4 , wxPORT_X11 = 1 << 5 , wxPORT_MAC = 1 << 7 , wxPORT_COCOA = 1 << 8 , wxPORT_QT = 1 << 10 }
| The list of wxWidgets ports. More...
enum | wxBitness { wxBITNESS_INVALID = -1 , wxBITNESS_32 , wxBITNESS_64 , wxBITNESS_MAX }
| The architecture bitness of the operating system (regardless of the build environment of wxWidgets library - see wxIsPlatform64Bit() documentation for more info). More...
enum | wxArchitecture { wxARCH_INVALID = -1 , wxARCH_32 , wxARCH_64 , wxARCH_MAX }
enum | wxEndianness { wxENDIAN_INVALID = -1 , wxENDIAN_BIG , wxENDIAN_LITTLE , wxENDIAN_PDP , wxENDIAN_MAX }
| The endian-ness of the machine. More...

## Functions

bool | wxIsRunningUnderWine ()
| Returns true only for MSW programs running under Wine. More...

## Enumeration Type Documentation

## ◆ wxArchitecture

enum wxArchitecture

Deprecated:
  Use wxBitness instead.

Enumerator
wxARCH_INVALID | returned on error
wxARCH_32 | 32 bit
wxARCH_64 | 64 bit
wxARCH_MAX |

## ◆ wxBitness

enum wxBitness

The architecture bitness of the operating system (regardless of the build environment of wxWidgets library - see wxIsPlatform64Bit() documentation for more info).

Since
  3.1.5

Enumerator
wxBITNESS_INVALID | returned on error
wxBITNESS_32 | 32 bit
wxBITNESS_64 | 64 bit
wxBITNESS_MAX |

## ◆ wxEndianness

enum wxEndianness

The endian-ness of the machine.

Enumerator
wxENDIAN_INVALID | returned on error
wxENDIAN_BIG | 4321
wxENDIAN_LITTLE | 1234
wxENDIAN_PDP | 3412
wxENDIAN_MAX |

## ◆ wxOperatingSystemId

enum wxOperatingSystemId

The following are the operating systems which are recognized by wxWidgets and whose version can be detected at run-time.

The values of the constants are chosen so that they can be combined as flags; this allows checking for operating system families like e.g. `wxOS_MAC` and `wxOS_UNIX`.

Note that you can obtain more detailed information about the current OS version in use by checking the major, minor, and micro version numbers returned by wxGetOsVersion() or by wxPlatformInfo::GetOSMajorVersion(), wxPlatformInfo::GetOSMinorVersion(), and wxPlatformInfo::GetOSMicroVersion().

Enumerator
wxOS_UNKNOWN | Returned on error.
wxOS_MAC_OS | Apple Mac OS 8/9/X with Mac paths.
wxOS_MAC_OSX_DARWIN | Apple macOS with Unix paths.
wxOS_MAC | A combination of all `wxOS_MAC_*` values previously listed.
wxOS_WINDOWS_NT | Windows NT family (XP/Vista/7/8/10/11)
wxOS_WINDOWS | Any Windows system, currently can be only wxOS_WINDOWS_NT.
wxOS_UNIX_LINUX | Linux.
wxOS_UNIX_FREEBSD | FreeBSD.
wxOS_UNIX_OPENBSD | OpenBSD.
wxOS_UNIX_NETBSD | NetBSD.
wxOS_UNIX_SOLARIS | SunOS.
wxOS_UNIX_AIX | AIX.
wxOS_UNIX_HPUX | HP/UX.
wxOS_UNIX | A combination of all `wxOS_UNIX_*` values previously listed.

## ◆ wxPortId

enum wxPortId

The list of wxWidgets ports.

Some of them can be used with more than a single (native) toolkit.

Enumerator
wxPORT_UNKNOWN | returned on error
wxPORT_BASE | wxBase, no native toolkit used
wxPORT_MSW | wxMSW, native toolkit is Windows API
wxPORT_MOTIF | wxMotif, using [Open]Motif or Lesstif
wxPORT_GTK | wxGTK, using GTK+ 1.x, 2.x, 3.x, GPE
wxPORT_DFB | wxDFB, using wxUniversal
wxPORT_X11 | wxX11, using wxUniversal
wxPORT_MAC | wxMac, using Carbon or Classic Mac API
wxPORT_COCOA | wxCocoa, using Cocoa NextStep/Mac API
wxPORT_QT | wxQT, using Qt 5+